
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>为什么mybatis插入一条数据的时候必须的提交事务？ / iVAN</title>

    <meta name="description" content="为什么mybatis插入一条数据的时候必须的提交事务？ 问题描述 刚刚开始学习Mybatis,在配置文件里面有看到&lt;transactionManager type=&quot;JDBC&quot; /&gt; 为什么在使用session.insert(...)之后还得提交事务呢? 解决方案 嗯 底层用的Connection,假如 conn.setAutoCommit(false)了就必须手动提交了,因为可能你的数据操作分几步的 mybatis也不知道你到底有多少数据操作步骤,所以肯定得设置成手动提交 让你显示提交咯.解决方案二:当然要提交了,没 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">为什么mybatis插入一条数据的时候必须的提交事务？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>问题描述</h2>
<p>刚刚开始学习Mybatis，在配置文件里面有看到&lt;transactionManager type="JDBC" /&gt; 为什么在使用session.insert(...)之后还得提交事务呢？<br />
<h2>解决方案</h2>
<p>嗯 底层用的Connection，假如 conn.setAutoCommit(false)了就必须手动提交了，因为可能你的数据操作分几步的 mybatis也不知道你到底有多少数据操作步骤，所以肯定得设置成手动提交 让你显示提交咯。<br />解决方案二：<br />当然要提交了，没有事务怎么成，难道你以为session.insert就插入了？</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 07:12:18</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ibatis/" title="ibatis">ibatis</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>为什么mybatis插入一条数据的时候必须的提交事务？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKmR5M.html" rel="bookmark">SQL Sever怎样同时插入N条数据而不在程序里控制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问:&quot;怎样同时插入N条数据,却不在程序里控制?&quot; 答:&quot;由于SQL Sever不支持数组参数.所以只能用另类的办法了.利用SQL Server强大的字符串处理传把数组格式化为类似&quot;1,2,3,4,5,6&quot;. 然后在存储过程中用SubString配合CharIndex把分割开来. 详细的存储过程: CREATE PROCEDURE dbo.ProductListUpdateSpecialList @ProductId_Array varChar(800),			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE66YnM.html" rel="bookmark">oracle 数据库&period;&period;&period;-oracle 数据库插入一条数据，某字段如何自动递增1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 oracle 数据库插入一条数据,某字段如何自动递增1 oracle 数据库插入一条数据,某字段如何自动递增1,oracle 数据库插入一条数据,某字段如何自动递增1,在线等.急急急.求大指点 解决方案 1,使用序列 2,手动使用变量++然后执行插入数据库记录 解决方案二: oracle 字段递增 表插入数据,id自动增1 解决方案三: Oracle里有序列,使用序列来实现 解决方案四: 序列: 是oacle提供的用于产生一系列唯一数字的数据库对象. l 自动提供唯一的数值 l 共享对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwQlrp.html" rel="bookmark">java jdbc-向mysql中插入50000条数据怎么那么慢。。。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 向mysql中插入50000条数据怎么那么慢... package cn.itcast.bath; import java.sql.Connection; import java.sql.PreparedStatement; import org.junit.Test; import cn.itcast.jdbc.JDBCUtils; public class Bath { @Test public void demo1() { Connection conn=null; Prepar			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1erkz.html" rel="bookmark">JdbcTemplate插入一条数据到Oracle数据库并返回自增长ID</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我的需求就是需要循环插入一组数据,因为数据库是按照自增长ID关联的,所以每插入一条数据,都要返回自增长的ID,用来设置关联关系,我用JdbcTemplate可以实现一组数据的插入并返回ID,但是循环两次以上就出错了:org.springframework.jdbc.UncategorizedSQLException:PreparedStatementCallback;uncategorizedSQLExceptionforSQL[insertintoT_METADATA_ABSTRAC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7x5Xab.html" rel="bookmark">oracle-怎么插入多条数据。各路大神！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎么插入多条数据.各路大神! 像发邮件那样,多个用户名,用:隔开,存同一条信息.怎么插入到数据库中啊!各路大神. 解决方案 1.如果你用程序往里存的话,比较简单,将这些用户按照&quot;;&quot;截取,然后批量存入数据库,或者单条循环存入数据库. 2.如果直接写sql语句往数据库存的话,可以借助一下notePad软件功能: 1)在在文本上写一条插入语句,如:insert into table(userName, content, createTime) values('', '测试', '			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJrOvp.html" rel="bookmark">插入多条数据回滚-hibernate 手动控制事务回滚失败</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 hibernate 手动控制事务回滚失败 spring配置: 5201005100 &lt;bean id=&quot;sessionFactory&quot; class=&quot;org.springframework.orm.hibernate3.annotation.AnnotationSessionFactoryBean&quot;&gt; &lt;property name=&quot;dataSource&quot; ref=&quot;dataSource&quot; /&gt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5ZaLp.html" rel="bookmark">string-关于数据库中插入多条数据，其中有一项关于to&lowbar;date的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于数据库中插入多条数据,其中有一项关于to_date的问题 String sql = &quot;insert into TestInfo(tiName, to_date('tiStartTime','YYYY-MM-DD' ),tiState,TiGrade) values(?,?,?,?)&quot;; 这句数据库语句关于to_date的地方有哪里不对?为什么会报错说缺失逗号 解决方案 to_date('tiStartTime','YYYY-MM-DD' ) 这个位置应该是一个字段名称,怎			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnR5nAp.html" rel="bookmark">一个关于插入一条数据如何拿该条数据主键的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 一个关于插入一条数据如何拿该条数据主键的问题 String action=request.getParameter(&quot;action&quot;); if(action !=null &amp;&amp; action.trim().equals(&quot;post&quot;)){ String title=request.getParameter(&quot;title&quot;); System.out.println(title); String cont=request.g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NP9rp.html" rel="bookmark">用一条mysql语句插入多条数据&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				       假如有一个数据表A: id name title addtime         如果需要插入n条数据 : $time= time(); $data = array( array( 'name'=&gt;'name1','title'=&gt;'title1','addtime'=&gt;$time; ), array( 'name'=&gt;'name2','title'=&gt;'title2','addtime'=&gt;$time; ), array( 'name'=&gt;'nam			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYBErp.html" rel="bookmark" class="title">符合WEB标准的下拉导航菜单例子</a>
					<div>
						web|web标准|菜单|下拉 &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot; lang=&quot;zh-CN&quot;&gt;&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1jm9p.html" rel="bookmark" class="title">获得汉字拼音首字母的java工具类</a>
					<div>
						汉字|拼音 public class GetCh2Spell {    public static int compare(String str1, String str2)     {        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAdAvb.html" rel="bookmark" class="title">一个asp快速字符串连接类</a>
					<div>
						字符串 &lt;%'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%'快速字符串连接类'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%'名称:Clas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3DvJM.html" rel="bookmark" class="title">评论：要回帖，更要在&OpenCurlyDoubleQuote;回帖&rdquo;外下功夫</a>
					<div>
						洛阳市下发要求各部门建立回帖队伍的文件,要求洛阳市各级党委.政府安排专人登录洛阳市政府网站&quot;连线政府&quot;栏目和洛阳信息港&quot;洛阳城事&quot;等论坛,及时下载.办理涉及本部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk917b.html" rel="bookmark" class="title">IllustratorAI中裁切位图的方法</a>
					<div>
						ai里能裁切位图吗?要是能的话怎么裁呀,我想把一个图片按我想要的形状来,把多余的裁掉怎么办呀,有知道的可以告诉我一下吗,谢谢． 在ai内打开一张图,可以嵌入也可以置入. 我想要画中的那个水晶球体,画一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp84Olp.html" rel="bookmark" class="title">详细了解进程和病毒基础知识</a>
					<div>
						第一:进程是什么 进程为应用程序的运行实例,是应用程序的一次动态执行.看似高深,我们可以简单地理解为:它是操作系统当前运行的执行程序.在系统当前运行的执行程序里包括:系统管理计算机个体和完成各种操作所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnDl4z.html" rel="bookmark" class="title">在Ubuntu Linux中安装XAMPP&lpar;LAMPP&rpar;服务器套件时出现错误的解决方法</a>
					<div>
						怎样安装请在本博客参阅其安装. 1.在终端安装XAMPP时出现/opt/lampp/lampp: line 74: arch: command not found的错误提示 原因:未找到 解决方法:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E2Q9M.html" rel="bookmark" class="title">使用 Excel 数据透视表查看数据</a>
					<div>
						  Excel 2003 工作表是组织和分析财务数据的理想工具.例如,您可能会创建一个包含差旅住宿费的工作表.如果需要各个季度的分类汇总,您知道如何相应地修改工作表. 但是,在需要按季度查看费用类别总 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EB7oM.html" rel="bookmark" class="title">windows8如何使用BlueScreenView分析蓝屏故障原因</a>
					<div>
						  windows8如何使用BlueScreenView分析蓝屏故障原因          具体方法如下: 1.右击BlueScreenView.exe程序,选择&quot;以管理员身份运行&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwxLyM.html" rel="bookmark" class="title">phpmyadmin导入大sql文件失败解决办法</a>
					<div>
						在利用phpmyadmin导入数据库时提示: You probably tried to upload too large file. Please refer to documentation fo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPg70p.html" rel="bookmark" class="title">IIS 7如何搭配ARR及分布式缓存技术Velocity</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   本帖是研讨会中的一些杂记,搭配一些官方的文档,经整合归 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn738Kz.html" rel="bookmark" class="title">iOS开发系列--视图切换</a>
					<div>
						概述 在iOS开发中视图的切换是很频繁的,独立的视图应用在实际开发过程中并不常见,除非你的应用足够简单.在iOS开发中常用的视图切换有三种,今天我们将一一介绍: UITabBarController  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32Be7z.html" rel="bookmark" class="title">分多钟擦额外看今天听明白</a>
					<div>
						问题描述 分多钟擦额外看今天听明白 一个全局变量list来接受数据. button click的时候new一个新线程获取数据并调用hander处理数据. club.jd.com/CommunityGr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2RXnb.html" rel="bookmark" class="title">path&equals;System&period;Configuration&period;ConfigurationSettings&period;AppSettings&lbrack;&amp;amp&semi;amp&semi;quot&semi;PhotoPath&amp;amp&semi;amp&semi;quot&semi;&rsqb;&period;ToString&lpar;&rpar;&plus;RelativeFile&semi; 的具体解释。</a>
					<div>
						问题描述 请问这句是什么意思?stringpath=System.Configuration.ConfigurationSettings.AppSettings[&quot;PhotoPath&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW19Lp.html" rel="bookmark" class="title">string-java String转json！！！</a>
					<div>
						问题描述 java String转json!!! 怎么将{&quot;&quot;number&quot;&quot;:&quot;&quot;001&quot;&quot;name&quot;&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ4q5z.html" rel="bookmark" class="title">Android中一个在MainActivity中的控件在OneActivity中怎样获取到</a>
					<div>
						问题描述 Android中一个在MainActivity中的控件在OneActivity中怎样获取到 每点击一次添加按钮 购物车的TextView 更新一次 解决方案 Android-获取view中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRKZ3b.html" rel="bookmark" class="title">OpenGl学习第三章</a>
					<div>
						上个星期学习了下金字塔的绘制,然后这周有看了看正方体的绘制,通过依次绘制6个面来绘制正方体,整体代码跟上次的金三角没有区别,只是坐标点,颜色,已经绘制的代码有点区别,上代码看看 //这是坐标 priv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RY5ob.html" rel="bookmark" class="title">一个很讨厌的问题&excl;请大家帮我解决一下 重装软件 还是这样&excl;稠糊也能用 但是看的不爽啊&excl;请大家多帮帮忙</a>
					<div>
						问题描述 MicrosoftVisualStudio2005这个软件的空格变成了点号我怎么解决?????????????????????????????????? 解决方案 解决方案二:没看明白解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRXo1b.html" rel="bookmark" class="title">oracle的字符集检查工具CSSCAN&lpar;一&rpar;</a>
					<div>
						使用CSSCAN 工具在源库检查数据. 指定扫描的schame,只能指定一个schame $ csscan \&quot;sys/@ as sysdba\&quot; LOG=/tmp/expchec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAABvQM.html" rel="bookmark" class="title">艺龙遭遇存储故障服务中断20小时</a>
					<div>
						崔广福微博 艺龙故障公告 新浪科技讯 7月12日上午消息,因遭遇存储故障,从昨日下午2时起,提供在线服务的旅游网站艺龙开始无法访问,截至目前已经过去了20个小时.艺龙CEO崔广福通过新浪微博表示,艺龙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0x5BM.html" rel="bookmark" class="title">opencv-关于图像中物体的双目测距</a>
					<div>
						问题描述 关于图像中物体的双目测距 我最近在做有关双目视觉的项目,已经完成了摄像机的标定.校正和匹配过程,得到了视差图,可是如果我想知道图片中某一个物体的深度,应该怎么办呢?可不可以直接利用repro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwVV1M.html" rel="bookmark" class="title">java cmd报错！！求大神！</a>
					<div>
						问题描述 java cmd报错!!求大神! 10C 该项目打包jar在cmd运行报错了.在idea工具下正常运行,请问什么原因啊!求大神指教!具体怎么解决啊!谢谢! 解决方案 activity -se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXNNlb.html" rel="bookmark" class="title">浅谈网站结构优化</a>
					<div>
						SEO,网站结构优化 网站结构是SEO中比较重要的一点,网站结构的设计需要根据网站规模的大小来定.它没有一个既定通用的模式. 网站结构设计的好坏会直接影响网站的PR值传递.网页排名的提升,还有搜索引擎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkg8vM.html" rel="bookmark" class="title">oa系统-OA系统工作流程设计是否一定要有数据库表</a>
					<div>
						问题描述 OA系统工作流程设计是否一定要有数据库表 因为毕业设计要做一个OA系统之前从没接触过,在网上看到很多资料,有一些有工作流程设计,而有一些又没有,而有工作流程设计的都有放在数据库表里面我想问一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeolD7M.html" rel="bookmark" class="title">聚美优品赴美上市的消息一出，唯品会控股乐蜂的消息也炸开了锅</a>
					<div>
						聚美优品赴美上市的消息一出,唯品会控股乐蜂的消息也炸开了锅.午间时分,唯品会与乐蜂双方正式对外公布达成&quot;联姻&quot;:唯品会投资1.125亿美元现金,战略入股东方风行旗下的乐蜂网子公司7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeJ6JM.html" rel="bookmark" class="title">在第一次异步提交结束前发起第二次异步提交报异常</a>
					<div>
						问题描述 我用了两对UpdateProgress和UpdatePanel的组合,点击第一个UpdatePanel中的按钮时服务器延迟2秒,点击第二个UpdatePanel中的按钮时服务器延迟10秒,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5g65z.html" rel="bookmark" class="title">企业网站优化需要注意事项</a>
					<div>
						首先是用FLASH做首页.大多数都把网站做成企业在网上的展示窗口,当你简单的追求视觉效果,都用了大量的FLASH元素,这个想法是很好的,事实上在追求眼球效果的同时,要尽可能考虑网友访问度,企业宣传效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWmDdz.html" rel="bookmark" class="title">js处理自己不能定义二维数组的方法详解&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: var a= new Array(new Array(1,2),new Array('b','c')); document.write(a[1][1]); 说白了,就是利用for ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn708p.html" rel="bookmark" class="title">DataTable Json化的问题</a>
					<div>
						问题描述 将DataTable或DataSet通过JsonConvert.SerializeObject序列化的时候,生成的字符串是{&quot;列名1&quot;:&quot;值1&quot;,&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baq9DJb.html" rel="bookmark" class="title">Django 博客开发教程 2 - 建立 Django 博客应用</a>
					<div>
						建立博客应用 我们已经建立了 Django 博客的项目工程,并且成功地运行了它.不过到目前为止这一切都还只是 Django 为我们创建的项目初始内容,Django 不可能为我们初始化生成博客代码,这些 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
